(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     45626,       1253]
NotebookOptionsPosition[     42992,       1199]
NotebookOutlinePosition[     43327,       1214]
CellTagsIndexPosition[     43284,       1211]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"net", " ", "revenue", " ", "of", " ", "a", " ", "month", " ", 
    RowBox[{"(", 
     RowBox[{
     "expanded", " ", "Equation", " ", "2", " ", "in", " ", "main", " ", 
      "text"}], ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"netMonth", "=", 
   RowBox[{
    RowBox[{"c", "*", "d", "*", "a"}], "-", 
    RowBox[{"dac", "*", "d", "*", "b"}], "-", 
    RowBox[{"rac", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"us", "*", "r"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"us", "-", "uh"}], ")"}], "*", "d", "*", "a", "*", 
        RowBox[{
         RowBox[{"h", "[", "n", "]"}], "/", "r"}]}]}], ")"}]}]}]}]}]], "Input",\

 CellChangeTimes->{{3.8830594457173157`*^9, 3.883059593042*^9}, {
  3.88305983707607*^9, 3.883059856417564*^9}, {3.883064997366701*^9, 
  3.883065004445704*^9}, {3.883065040259563*^9, 3.883065075003631*^9}, {
  3.8831352539121237`*^9, 3.883135256883087*^9}, {3.883135443690363*^9, 
  3.88313544480967*^9}, {3.8852670696015177`*^9, 3.885267138169393*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"30b3c8ec-3205-48c7-a128-e4e14e444d88"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c", " ", "d"}], "-", 
  RowBox[{"b", " ", "d", " ", "dac"}], "-", 
  RowBox[{"rac", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"r", " ", "us"}], "-", 
     FractionBox[
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
       RowBox[{"h", "[", "n", "]"}]}], "r"]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.883059615543439*^9, 3.88305985837879*^9, 
  3.883065082582637*^9, 3.883065360161066*^9, 3.8831050110486383`*^9, 
  3.883135086801651*^9, 3.8831352584655943`*^9, 3.8831354459700327`*^9, 
  3.883478680886181*^9, 3.885267145134399*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"fb04eb35-2711-4f28-9fea-1e9872ddcb2b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "deriving", " ", "the", " ", "solution", " ", "of", " ", "the", " ", 
    "recursion", " ", "Equation", " ", "15", " ", 
    RowBox[{"(", 
     RowBox[{"Equation", " ", "16", " ", "in", " ", "main", " ", "text"}], 
     ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"happyRecursion", "=", 
   RowBox[{"RSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"h", "[", "n", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"us", "*", "r"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "us"}], ")"}], "*", "d", "*", "a", "*", 
          RowBox[{
           RowBox[{"h", "[", 
            RowBox[{"n", "-", "1"}], "]"}], "/", "r"}]}]}]}], ",", 
       RowBox[{
        RowBox[{"h", "[", "1", "]"}], "\[Equal]", "r"}]}], "}"}], ",", 
     RowBox[{"h", "[", "n", "]"}], ",", "n"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8830579813364153`*^9, 3.8830580704974833`*^9}, {
   3.883059280973857*^9, 3.883059281729789*^9}, {3.8830597367946997`*^9, 
   3.8830597462427807`*^9}, 3.8830598196097097`*^9, 3.883060542052327*^9, {
   3.88306473759402*^9, 3.883064740232671*^9}, {3.883065029772112*^9, 
   3.8830650305471*^9}, {3.8831048905429173`*^9, 3.883104897871027*^9}, {
   3.883116023378932*^9, 3.8831160448512087`*^9}, {3.883135108009019*^9, 
   3.883135109661812*^9}, {3.883135287559001*^9, 3.883135292001833*^9}, {
   3.8852671340412807`*^9, 
   3.885267213534968*^9}},ExpressionUUID->"43451cba-ff93-4f64-a5d6-\
51360b6318e2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"h", "[", "n", "]"}], "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "a"}], " ", "d", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", 
            FractionBox[
             RowBox[{"a", " ", "d", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "us"}], ")"}]}], "r"]}], ")"}], 
          "n"]}], "+", 
        RowBox[{"r", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", 
            FractionBox[
             RowBox[{"a", " ", "d", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "us"}], ")"}]}], "r"]}], ")"}], 
          "n"]}], "+", 
        RowBox[{"a", " ", "d", " ", "us"}]}], ")"}]}], 
     RowBox[{"a", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "a"}], " ", "d"}], "+", "r", "+", 
        RowBox[{"a", " ", "d", " ", "us"}]}], ")"}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.883058076883442*^9, 3.8830583556529922`*^9, 3.883059283508602*^9, 
   3.883059316637395*^9, 3.883059764683259*^9, 3.883059823260166*^9, 
   3.883059917640141*^9, 3.8830600732632933`*^9, {3.8830647439617434`*^9, 
   3.88306475172614*^9}, 3.883064785096114*^9, 3.883064950143248*^9, 
   3.88306518009953*^9, 3.88306537122966*^9, 3.883068904502734*^9, 
   3.8831049317756367`*^9, {3.8831050371568747`*^9, 3.883105050401442*^9}, 
   3.883116050656168*^9, 3.883116119214023*^9, 3.883135154281221*^9, 
   3.8831352952310658`*^9, 3.8831354684203167`*^9, 3.8834786836767797`*^9, 
   3.885267129399808*^9, 3.885267201427659*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"484e1614-17ef-4708-8b3e-2f2756dd9d2c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{" ", 
    RowBox[{
    "getting", " ", "the", " ", "net", " ", "revenue", " ", "of", " ", "each",
      " ", "month", " ", "from", " ", "1", " ", "to", " ", "12", " ", "with", 
     " ", "Equations", " ", "2", " ", "and", " ", "16"}], ")"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"netMonths", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{"netMonth", "/.", 
        RowBox[{"First", "[", "happyRecursion", "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1", ",", "12", ",", "1"}], "}"}]}], "]"}], "//", 
    "FullSimplify"}]}]}]], "Input",
 CellChangeTimes->{{3.883059895983707*^9, 3.8830599058054457`*^9}, {
  3.883065106729101*^9, 3.8830651109211884`*^9}, {3.883135480387982*^9, 
  3.883135559266817*^9}, {3.885267205591876*^9, 
  3.885267273083725*^9}},ExpressionUUID->"d608bb0c-bc6a-4b55-adea-\
9c148a0282e4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "b"}], " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    RowBox[{"a", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"c", "+", 
       RowBox[{"rac", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "uh"}], "+", "us"}], ")"}]}]}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "b"}], " ", "d", " ", "dac"}], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "2"], " ", 
      SuperscriptBox["d", "2"], " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{"uh", "-", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}]}], "r"], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    RowBox[{"a", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"c", "+", 
       RowBox[{"rac", " ", "us", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "uh"}], "+", "us"}], ")"}]}]}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "-", 
    FractionBox[
     RowBox[{"a", " ", "d", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{"uh", "-", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["a", "2"], " ", 
         SuperscriptBox["d", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "us"}], ")"}], "2"]}], "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", "us"}], "-", 
        RowBox[{"a", " ", "d", " ", "r", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "us"}], ")"}], " ", "us"}]}], ")"}]}], 
     SuperscriptBox["r", "2"]]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    FractionBox[
     RowBox[{"r", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["a", "5"], " ", 
           SuperscriptBox["d", "5"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "us"}], ")"}], "4"]}], 
          SuperscriptBox["r", "4"]]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "4"], " ", 
          SuperscriptBox["d", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "4"]}], 
         SuperscriptBox["r", "3"]], "+", 
        RowBox[{"a", " ", "d", " ", "us"}]}], ")"}]}], 
     RowBox[{"r", "+", 
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "us"}], ")"}]}]}]]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    FractionBox[
     RowBox[{"r", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "6"], " ", 
          SuperscriptBox["d", "6"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "5"]}], 
         SuperscriptBox["r", "5"]], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "5"], " ", 
          SuperscriptBox["d", "5"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "5"]}], 
         SuperscriptBox["r", "4"]], "+", 
        RowBox[{"a", " ", "d", " ", "us"}]}], ")"}]}], 
     RowBox[{"r", "+", 
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "us"}], ")"}]}]}]]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    FractionBox[
     RowBox[{"r", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["a", "7"], " ", 
           SuperscriptBox["d", "7"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "us"}], ")"}], "6"]}], 
          SuperscriptBox["r", "6"]]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "6"], " ", 
          SuperscriptBox["d", "6"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "6"]}], 
         SuperscriptBox["r", "5"]], "+", 
        RowBox[{"a", " ", "d", " ", "us"}]}], ")"}]}], 
     RowBox[{"r", "+", 
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "us"}], ")"}]}]}]]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    FractionBox[
     RowBox[{"r", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "8"], " ", 
          SuperscriptBox["d", "8"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "7"]}], 
         SuperscriptBox["r", "7"]], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "7"], " ", 
          SuperscriptBox["d", "7"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "7"]}], 
         SuperscriptBox["r", "6"]], "+", 
        RowBox[{"a", " ", "d", " ", "us"}]}], ")"}]}], 
     RowBox[{"r", "+", 
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "us"}], ")"}]}]}]]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    FractionBox[
     RowBox[{"r", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["a", "9"], " ", 
           SuperscriptBox["d", "9"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "us"}], ")"}], "8"]}], 
          SuperscriptBox["r", "8"]]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "8"], " ", 
          SuperscriptBox["d", "8"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "8"]}], 
         SuperscriptBox["r", "7"]], "+", 
        RowBox[{"a", " ", "d", " ", "us"}]}], ")"}]}], 
     RowBox[{"r", "+", 
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "us"}], ")"}]}]}]]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    FractionBox[
     RowBox[{"a", " ", "d", " ", "r", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "8"], " ", 
          SuperscriptBox["d", "8"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"a", " ", "d"}], "-", "r"}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "9"]}], 
         SuperscriptBox["r", "9"]], "+", "us"}], ")"}]}], 
     RowBox[{"r", "+", 
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "us"}], ")"}]}]}]]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    FractionBox[
     RowBox[{"a", " ", "d", " ", "r", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["a", "9"], " ", 
           SuperscriptBox["d", "9"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"a", " ", "d"}], "-", "r"}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "us"}], ")"}], "10"]}], 
          SuperscriptBox["r", "10"]]}], "+", "us"}], ")"}]}], 
     RowBox[{"r", "+", 
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "us"}], ")"}]}]}]]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    FractionBox[
     RowBox[{"r", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "12"], " ", 
          SuperscriptBox["d", "12"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "11"]}], 
         SuperscriptBox["r", "11"]], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "11"], " ", 
          SuperscriptBox["d", "11"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "11"]}], 
         SuperscriptBox["r", "10"]], "+", 
        RowBox[{"a", " ", "d", " ", "us"}]}], ")"}]}], 
     RowBox[{"r", "+", 
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "us"}], ")"}]}]}]]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "c", " ", "d"}], "-", 
    RowBox[{"b", " ", "d", " ", "dac"}], "-", 
    RowBox[{"r", " ", "rac", " ", "us"}], "+", 
    FractionBox[
     RowBox[{"r", " ", "rac", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "uh"}], "+", "us"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["a", "13"], " ", 
           SuperscriptBox["d", "13"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "us"}], ")"}], "12"]}], 
          SuperscriptBox["r", "12"]]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["a", "12"], " ", 
          SuperscriptBox["d", "12"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "us"}], ")"}], "12"]}], 
         SuperscriptBox["r", "11"]], "+", 
        RowBox[{"a", " ", "d", " ", "us"}]}], ")"}]}], 
     RowBox[{"r", "+", 
      RowBox[{"a", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "us"}], ")"}]}]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.883059926470436*^9, 3.883060079418679*^9, {3.8830651706565247`*^9, 
   3.8830651924761133`*^9}, 3.8830653836825438`*^9, 3.88310506342483*^9, 
   3.883116073912814*^9, {3.883116114987358*^9, 3.8831161304496117`*^9}, 
   3.883135181148449*^9, 3.883135509797638*^9, {3.883135544958726*^9, 
   3.88313556120509*^9}, 3.883478689254796*^9, 3.8852672250238447`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"9e806344-eb4c-4488-9d2d-8efc34f1fd9e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "total", " ", "net", " ", "revenue", " ", "for", " ", "variable", " ", 
     "driver", " ", "cost"}], ",", " ", 
    RowBox[{
    "by", " ", "summing", " ", "up", " ", "the", " ", "net", " ", "revenues", 
     " ", 
     RowBox[{"(", 
      RowBox[{"Equation", " ", "1", " ", "in", " ", "main", " ", "text"}], 
      ")"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"totalNet", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Total", "[", "netMonths", "]"}], "//", "FullSimplify"}], "//", 
     "Cancel"}], "//", "FullSimplify"}]}]}]], "Input",
 CellChangeTimes->{{3.883116144493514*^9, 3.8831161522894287`*^9}, {
  3.883135565836917*^9, 3.883135612437529*^9}, {3.885267282914041*^9, 
  3.885267322957796*^9}},ExpressionUUID->"e08e90f9-9566-4313-9459-\
c97d5875febd"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   SuperscriptBox["r", "11"]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox["a", "12"], " ", 
     SuperscriptBox["d", "12"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "11"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "11"], " ", 
     SuperscriptBox["d", "11"], " ", "r", " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "10"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "us"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["a", "10"], " ", 
     SuperscriptBox["d", "10"], " ", 
     SuperscriptBox["r", "2"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "9"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "us"}]}], ")"}]}], "-", 
    RowBox[{
     SuperscriptBox["a", "9"], " ", 
     SuperscriptBox["d", "9"], " ", 
     SuperscriptBox["r", "3"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "8"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"3", " ", "us"}]}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["a", "8"], " ", 
     SuperscriptBox["d", "8"], " ", 
     SuperscriptBox["r", "4"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "7"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"4", " ", "us"}]}], ")"}]}], "-", 
    RowBox[{
     SuperscriptBox["a", "7"], " ", 
     SuperscriptBox["d", "7"], " ", 
     SuperscriptBox["r", "5"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "6"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"5", " ", "us"}]}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["a", "6"], " ", 
     SuperscriptBox["d", "6"], " ", 
     SuperscriptBox["r", "6"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "5"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"6", " ", "us"}]}], ")"}]}], "-", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["d", "5"], " ", 
     SuperscriptBox["r", "7"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "4"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"7", " ", "us"}]}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox["r", "8"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "3"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"8", " ", "us"}]}], ")"}]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox["r", "9"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "us"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"9", " ", "us"}]}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["r", "10"], " ", "rac", " ", 
     RowBox[{"(", 
      RowBox[{"uh", "-", "us"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "us"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"10", " ", "us"}]}], ")"}]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["r", "11"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"b", " ", "d", " ", "dac"}], "+", 
       RowBox[{"r", " ", "rac", " ", "us"}]}], ")"}]}], "+", 
    RowBox[{"a", " ", "d", " ", 
     SuperscriptBox["r", "11"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"12", " ", "c"}], "-", 
       RowBox[{"rac", " ", 
        RowBox[{"(", 
         RowBox[{"uh", "-", "us"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"11", " ", "us"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{
  3.883116153108633*^9, 3.883135189623027*^9, {3.883135583907655*^9, 
   3.883135614359705*^9}, 3.8834786924547453`*^9, 3.885267313851926*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"59a44b3c-64af-4997-a2cd-170e6e987ebd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "derived", " ", "threshold", " ", "of", " ", "driver", " ", 
    "cost", " ", 
    RowBox[{"(", 
     RowBox[{"Equation", " ", "5", " ", "in", " ", "main", " ", "text"}], 
     ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"driverCostThres", "=", "2.33"}]}]], "Input",
 CellChangeTimes->{{3.8831370771896477`*^9, 3.88313708840099*^9}, {
  3.883137192827531*^9, 3.883137228138892*^9}, {3.885267334405752*^9, 
  3.8852673493036203`*^9}, {3.8852674670891314`*^9, 
  3.885267477748371*^9}},ExpressionUUID->"1f6c7ee9-ff8d-44df-bc73-\
27a74e94d0b5"],

Cell[BoxData["2.33`"], "Output",
 CellChangeTimes->{
  3.8831370901229343`*^9, {3.883137202734178*^9, 3.8831372360733643`*^9}, 
   3.883478692510605*^9, 3.885267355213829*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"fded9887-8e05-4f68-ac0e-0b64fd0135b8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "linear", " ", "relation", " ", "for", " ", "the", " ", 
    "number", " ", "of", " ", "rides", " ", "offered", " ", "by", " ", "each",
     " ", "driver", " ", 
    RowBox[{"(", 
     RowBox[{"Equation", " ", "4", " ", "in", " ", "main", " ", "text"}], 
     ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"aPiece", "=", 
   RowBox[{"Piecewise", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Delta]", "*", "c"}], "+", "\[CurlyEpsilon]"}], ",", 
        RowBox[{"c", "\[GreaterEqual]", "driverCostThres"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"r", "/", "d"}], ",", 
        RowBox[{"c", "<", "driverCostThres"}]}], "}"}]}], "}"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.883136290486619*^9, 3.883136295198588*^9}, 
   3.883136336717416*^9, {3.883136374607081*^9, 3.8831364501068707`*^9}, {
   3.883137095085566*^9, 3.883137096662424*^9}, {3.885267357378397*^9, 
   3.885267416488821*^9}, {3.885267488576833*^9, 
   3.8852675062918577`*^9}},ExpressionUUID->"e862ac2a-0972-45bb-b6d1-\
39cd917ba943"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\[Piecewise]", GridBox[{
       {
        RowBox[{
         RowBox[{"c", " ", "\[Delta]"}], "+", "\[CurlyEpsilon]"}], 
        RowBox[{"c", "\[GreaterEqual]", "2.33`"}]},
       {
        FractionBox["r", "d"], 
        RowBox[{"c", "<", "2.33`"}]},
       {"0", 
        TagBox["True",
         "PiecewiseDefault",
         AutoDelete->True]}
      },
      AllowedDimensions->{2, Automatic},
      Editable->True,
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{
       "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.84]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}},
      Selectable->True]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxItemSize->{
    "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.35]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  "Piecewise",
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.883136456581314*^9, 3.883137099322029*^9, {3.8831372027524548`*^9, 
   3.883137236090567*^9}, 3.883478692555464*^9, 3.885267422434976*^9, 
   3.88526749666761*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"17f58499-7291-4fae-a8a6-8d19b3ec2b42"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "linear", " ", "relation", " ", "for", " ", "the", " ", 
    "driver", " ", "quit", " ", "rate", " ", 
    RowBox[{"(", 
     RowBox[{"Equation", " ", "7", " ", "in", " ", "main", " ", "text"}], 
     ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"bPiece", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"\[Zeta]", "*", "c"}], "+", "\[Eta]"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.883136490567255*^9, 3.8831365110245256`*^9}, {
  3.8852674316894217`*^9, 3.885267452747655*^9}, {3.885267511770568*^9, 
  3.885267512144772*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"03ddc0d2-57b2-4cf9-8fbb-d7e0115210b6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"c", " ", "\[Zeta]"}], "+", "\[Eta]"}]], "Output",
 CellChangeTimes->{
  3.883136519749764*^9, 3.88313710225366*^9, {3.8831372027689857`*^9, 
   3.8831372361056843`*^9}, 3.883478692606159*^9, 3.885267518898129*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"48991147-70e9-43d7-8127-7f10b3aa0977"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "plugging", " ", "the", " ", "previous", " ", "linear", " ", "relations", 
    " ", "in", " ", "the", " ", "total", " ", "net", " ", "revenue", " ", 
    "relation"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"totalNetApiece", "=", 
     RowBox[{"totalNet", "/.", 
      RowBox[{"a", "\[Rule]", "aPiece"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"totalNetBpiece", "=", 
     RowBox[{"totalNetApiece", "/.", 
      RowBox[{"b", "\[Rule]", "bPiece"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"totalNetFun", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"totalNetBpiece", "/.", 
        RowBox[{"c", "\[Rule]", "#"}]}], ")"}], "&"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.8831369323688993`*^9, 3.8831369558855333`*^9}, {
  3.883478719552567*^9, 3.883478723039328*^9}, {3.885267522651799*^9, 
  3.8852675447299128`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"174985b3-337b-47ea-8470-217f1d7a42db"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "initial", " ", "CAC", " ", "for", " ", "standardising", " ", 
    "the", " ", "revenue"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"initCAC", "=", 
   RowBox[{
    RowBox[{"16600", "*", "15"}], "+", 
    RowBox[{"100", "*", "500"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8830678295925407`*^9, 3.883067849927106*^9}, {
  3.885267550874385*^9, 
  3.885267577199889*^9}},ExpressionUUID->"616a1957-34e2-42e7-92b2-\
86ac5c966d8a"],

Cell[BoxData["299000"], "Output",
 CellChangeTimes->{
  3.8830678519840937`*^9, 3.883105349318124*^9, 3.883137008346195*^9, {
   3.883137202840715*^9, 3.883137236167358*^9}, 3.883478725654505*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"a2a27dc6-ec6b-4c92-9ea6-f8946be4b9e8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"the", " ", "plot", " ", "of", " ", "the", " ", "12"}], "-", 
    RowBox[{"month", " ", "total", " ", "net", " ", "revenue", " ", 
     RowBox[{"(", 
      RowBox[{"y", "-", "axis"}], ")"}], " ", "for", " ", "different", " ", 
     "driver", " ", "costs", " ", 
     RowBox[{"(", 
      RowBox[{"x", "-", "axis"}], ")"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"totalNetFun", "[", "c", "]"}], "/", "initCAC"}], "*", 
       "100"}], ",", 
      RowBox[{"{", 
       RowBox[{"dac", ",", 
        RowBox[{"{", "500", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"rac", ",", 
        RowBox[{"{", "15", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", 
        RowBox[{"{", "16600", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", 
        RowBox[{"{", "100", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"uh", ",", 
        RowBox[{"{", "0.1", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"us", ",", 
        RowBox[{"{", "0.33", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Delta]", ",", 
        RowBox[{"{", 
         RowBox[{"-", "18"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[CurlyEpsilon]", ",", 
        RowBox[{"{", "208", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Zeta]", ",", 
        RowBox[{"{", "0.03667", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Eta]", ",", 
        RowBox[{"{", 
         RowBox[{"-", "0.02"}], "}"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"c", ",", "1", ",", "10"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8830610571111193`*^9, 3.8830611048643503`*^9}, {
   3.8830653068675947`*^9, 3.883065307470867*^9}, {3.8830663047101173`*^9, 
   3.883066308223956*^9}, {3.883066338835362*^9, 3.883066470986891*^9}, {
   3.8830671010594807`*^9, 3.88306717530999*^9}, {3.883067810173367*^9, 
   3.8830678187601957`*^9}, 3.883067858842613*^9, 3.883137015600088*^9, {
   3.885267580457225*^9, 
   3.885267636006021*^9}},ExpressionUUID->"35a35458-4477-4791-92bf-\
e1773c2fa3b4"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVj3s4lHkfh2eeQRQiksOE8bySylKjmByerzn0UpswTVHkbLYkU2hFBxpq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       "]]},
     Annotation[#, "Charting`Private`Tag$11546#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{1, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  ImageSize->{1144., Automatic},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{1, 10}, {-270.2653865866761, 42.37916870013686}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.883061105740226*^9, 3.883065310175426*^9, 
  3.883066500619331*^9, 3.883066755994183*^9, 3.883067176041973*^9, 
  3.883067819483129*^9, 3.883067860070929*^9, 3.8830687224247103`*^9, 
  3.883105416192047*^9, 3.88313701889017*^9, 3.8831371130316277`*^9, 
  3.88313720288037*^9, 3.883137236197187*^9, 3.8834787269877787`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"0bcca89f-8e49-4d81-8525-0be21be3c266"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"saving", " ", "the", " ", 
     RowBox[{"plot", "'"}], "s", " ", "curve", " ", "data", " ", "to", " ", 
     "file"}], ",", " ", 
    RowBox[{
    "for", " ", "plotting", " ", "it", " ", "in", " ", "R", " ", "together", 
     " ", "with", " ", "the", " ", "simulation", " ", 
     RowBox[{"model", "'"}], "s"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"totalNetPlotData", "=", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"totalNetFun", "[", "c", "]"}], "/", "initCAC"}], "*", 
            "100"}], ",", 
           RowBox[{"{", 
            RowBox[{"dac", ",", 
             RowBox[{"{", "500", "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"rac", ",", 
             RowBox[{"{", "15", "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"r", ",", 
             RowBox[{"{", "16600", "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"d", ",", 
             RowBox[{"{", "100", "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"uh", ",", 
             RowBox[{"{", "0.1", "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"us", ",", 
             RowBox[{"{", "0.33", "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Delta]", ",", 
             RowBox[{"{", 
              RowBox[{"-", "18"}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[CurlyEpsilon]", ",", 
             RowBox[{"{", "208", "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Zeta]", ",", 
             RowBox[{"{", "0.03667", "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Eta]", ",", 
             RowBox[{"{", 
              RowBox[{"-", "0.02"}], "}"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"c", ",", "1", ",", "10"}], "}"}]}], "]"}], ",", 
       RowBox[{
        RowBox[{"Line", "@", "x__"}], "\[Rule]", "x"}], ",", "Infinity"}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{"Export", "[", 
    RowBox[{
    "\"\</home/danis/Desktop/Amanda/Lyft/code/totalNetPlotData.txt\>\"", ",", 
     
     RowBox[{"Partition", "[", 
      RowBox[{
       RowBox[{"Flatten", "[", "totalNetPlotData", "]"}], ",", "2"}], "]"}], 
     ",", "\"\<Table\>\""}], "]"}], "\n", 
   "\"\</home/danis/Desktop/Amanda/Lyft/code/totalNetPlotData.txt\>\""}]}]], \
"Input",
 CellChangeTimes->{{3.883139245080419*^9, 3.883139330433495*^9}, {
  3.8831394318888683`*^9, 3.883139433522333*^9}, {3.8831394856542883`*^9, 
  3.883139491725409*^9}, {3.883478733032051*^9, 3.88347874602942*^9}, {
  3.885267641726241*^9, 3.885267688818694*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"7176ce43-fe35-4686-be26-f9b3e5b0b360"],

Cell[BoxData["\<\"/home/danis/Desktop/Amanda/Lyft/code/totalNetPlotData.txt\"\
\>"], "Output",
 CellChangeTimes->{3.883478756180649*^9, 3.88526770089051*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"f4484d39-5b2f-4815-a5bc-96b2130dee12"],

Cell[BoxData["\<\"/home/danis/Desktop/Amanda/Lyft/code/totalNetPlotData.txt\"\
\>"], "Output",
 CellChangeTimes->{3.883478756180649*^9, 3.885267700894321*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"0496d18d-a6f6-4313-a932-2200b8e7f1bf"]
}, Open  ]]
},
WindowSize->{1440, 846},
WindowMargins->{{2, Automatic}, {-60, Automatic}},
FrontEndVersion->"11.3 for Linux x86 (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 1157, 27, 55, "Input",ExpressionUUID->"30b3c8ec-3205-48c7-a128-e4e14e444d88"],
Cell[1740, 51, 749, 18, 54, "Output",ExpressionUUID->"fb04eb35-2711-4f28-9fea-1e9872ddcb2b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2526, 74, 1593, 36, 78, "Input",ExpressionUUID->"43451cba-ff93-4f64-a5d6-51360b6318e2"],
Cell[4122, 112, 1886, 49, 68, "Output",ExpressionUUID->"484e1614-17ef-4708-8b3e-2f2756dd9d2c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6045, 166, 980, 23, 78, "Input",ExpressionUUID->"d608bb0c-bc6a-4b55-adea-9c148a0282e4"],
Cell[7028, 191, 12394, 370, 396, "Output",ExpressionUUID->"9e806344-eb4c-4488-9d2d-8efc34f1fd9e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19459, 566, 886, 22, 78, "Input",ExpressionUUID->"e08e90f9-9566-4313-9459-c97d5875febd"],
Cell[20348, 590, 5258, 163, 130, "Output",ExpressionUUID->"59a44b3c-64af-4997-a2cd-170e6e987ebd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25643, 758, 649, 14, 78, "Input",ExpressionUUID->"1f6c7ee9-ff8d-44df-bc73-27a74e94d0b5"],
Cell[26295, 774, 253, 4, 35, "Output",ExpressionUUID->"fded9887-8e05-4f68-ac0e-0b64fd0135b8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26585, 783, 1206, 29, 78, "Input",ExpressionUUID->"e862ac2a-0972-45bb-b6d1-39cd917ba943"],
Cell[27794, 814, 1935, 54, 78, "Output",ExpressionUUID->"17f58499-7291-4fae-a8a6-8d19b3ec2b42"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29766, 873, 718, 16, 78, "Input",ExpressionUUID->"03ddc0d2-57b2-4cf9-8fbb-d7e0115210b6"],
Cell[30487, 891, 326, 6, 35, "Output",ExpressionUUID->"48991147-70e9-43d7-8127-7f10b3aa0977"]
}, Open  ]],
Cell[30828, 900, 1065, 25, 124, "Input",ExpressionUUID->"174985b3-337b-47ea-8470-217f1d7a42db"],
Cell[CellGroupData[{
Cell[31918, 929, 529, 13, 78, "Input",ExpressionUUID->"616a1957-34e2-42e7-92b2-86ac5c966d8a"],
Cell[32450, 944, 275, 4, 35, "Output",ExpressionUUID->"a2a27dc6-ec6b-4c92-9ea6-f8946be4b9e8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32762, 953, 2288, 61, 101, "Input",ExpressionUUID->"35a35458-4477-4791-92bf-e1773c2fa3b4"],
Cell[35053, 1016, 4460, 90, 722, "Output",ExpressionUUID->"0bcca89f-8e49-4d81-8525-0be21be3c266"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39550, 1111, 2947, 75, 170, "Input",ExpressionUUID->"7176ce43-fe35-4686-be26-f9b3e5b0b360"],
Cell[42500, 1188, 236, 3, 35, "Output",ExpressionUUID->"f4484d39-5b2f-4815-a5bc-96b2130dee12"],
Cell[42739, 1193, 237, 3, 92, "Output",ExpressionUUID->"0496d18d-a6f6-4313-a932-2200b8e7f1bf"]
}, Open  ]]
}
]
*)

